Skip to main content

Get an applicant by ID

GEThttps://api.propexo.com/v1/applicants/:id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the applicant

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    GET /Contacts
    GET /Prospects/{prospectId}
    Example: 42
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    GET /Contacts
    GET /Prospects/{prospectId}
    Example: 1
    x_unit_idnullrequireddeprecated

    DEPRECATED: Use x_unit_id_preferred instead

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    x_lease_idnullrequireddeprecated

    DEPRECATED: Not in use.

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    x_lead_idnullrequired

    The external ID of the lead from the integration vendor

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    x_unit_id_preferredstring[]required

    The external IDs of the units from the integration vendor that the applicant is interested in

    Method
    GET /Contacts
    Example: ["123"]
    address_1_alternatenullrequired

    The first alternate address line associated with the applicant

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    address_1string | nullnullablerequired

    The first address line associated with the applicant

    Method
    GET /Contacts
    Example: 200 Pine Street
    address_2_alternatenullrequired

    The second alternate address line associated with the applicant

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    address_2nullrequired

    The second address line associated with the applicant

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    applications object[]required

    Applications that the applicant has submitted

  • Array [
  • applicant_idstringrequired
    Method
    GET /Contacts
    Example: clx0appl0000000000000005e
    application_idstringrequired
    Method
    GET /Contacts
    Example: clx0appn0000000000000006f
    statusstring | nullnullabledeprecated

    DEPRECATED. Use status_raw or status_normalized

    Method
    GET /Contacts
    status_rawstring | nullnullable

    The raw status associated with the applicant

    Method
    GET /Contacts
    Example: Prospect
    status_normalizedstring | nullnullable

    The normalized status associated with the applicant. Confirm these derived values before using them in production.

    Method
    GET /Contacts
    Example: PENDING
    Show 2 variants
    • stringAPPROVEDDENIEDCANCELEDOTHERPENDING
    • string
    custom_data object | null
    object
  • ]
  • city_alternatenullrequired

    The alternate city associated with the applicant

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    citystring | nullnullablerequired

    The city associated with the applicant

    Method
    GET /Contacts
    Example: Denver
    country_alternatenullrequired

    The alternate country associated with the applicant

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    countrynullrequired

    The country associated with the applicant

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    custom_data object | nullrequired
    object
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the applicant

    Method
    GET /Contacts
    Example: 1992-03-14T00:00:00.000Z
    email_1string | nullnullablerequired

    The primary email address associated with the applicant

    Method
    GET /Contacts
    email_2nullrequired

    The secondary email address associated with the applicant

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    first_namestring | nullnullablerequired

    The first name associated with the applicant

    Method
    GET /Contacts
    Example: Jordan
    self_reported_income object[]

    Self reported income sources for the applicant

    Notice

    This field is not currently hydrated for RENTMANAGER

  • Array [
  • amount_in_centsnumber | nullnullablerequired

    The total income of the applicant, in cents

    Notice

    This field is not currently hydrated for RENTMANAGER

    Example: 325000
    amount_rawstring | nullnullablerequired

    The total income amount of the applicant

    Notice

    This field is not currently hydrated for RENTMANAGER

    type_normalizednullrequired

    The type of income of the applicant

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    type_rawnullrequired

    The type of income of the applicant

    Notice

    This field will always be null for RENTMANAGER

    Example: null
  • ]
  • last_namestring | nullnullablerequired

    The last name associated with the applicant

    Method
    GET /Contacts
    Example: Lee
    middle_namestring | nullnullablerequired

    The middle name associated with the applicant

    Method
    GET /Contacts
    Example: A
    notesstring | nullnullablerequired

    Notes associated with the applicant

    Method
    GET /Contacts
    Example: Prefers afternoon showings
    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Method
    GET /Contacts
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: MOBILE
    phone_1string | nullnullablerequired

    Primary phone number associated with the applicant

    Method
    GET /Contacts
    Example: (555) 555-0142
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Method
    GET /Contacts
    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    Example: HOME
    phone_2string | nullnullablerequired

    Secondary phone number associated with the applicant

    Method
    GET /Contacts
    Example: (555) 555-0143
    state_alternatenullrequired

    The alternate state associated with the applicant

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    statestring | nullnullablerequired

    The state associated with the applicant

    Method
    GET /Contacts
    Example: CO
    type_normalizednullrequired

    The normalized type associated with the applicant

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    type_rawnullrequired

    The raw type associated with the applicant

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    zip_alternatenullrequired

    The alternate zip code associated with the applicant

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    zipstring | nullnullablerequired

    The zip code associated with the applicant

    Method
    GET /Contacts
    Example: 80202
    pets object[]required
    Notice

    This field is not currently hydrated for RENTMANAGER

  • Array [
  • idstringrequired

    The Propexo unique identifier for the applicant pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    age_in_yearsnumber | nullnullablerequired

    The age in years of the applicant pet

    Notice

    This field is not currently hydrated for RENTMANAGER

    breedstring | nullnullablerequired

    The breed of the applicant pet

    Notice

    This field is not currently hydrated for RENTMANAGER

    colorstring | nullnullablerequired

    The color of the applicant pet

    Notice

    This field is not currently hydrated for RENTMANAGER

    gender_rawstring | nullnullablerequired

    The raw value for the gender of the applicant pet

    Notice

    This field is not currently hydrated for RENTMANAGER

    is_declawedboolean | nullnullablerequired

    Whether the applicant pet is declawed

    Notice

    This field is not currently hydrated for RENTMANAGER

    is_fixedboolean | nullnullablerequired

    Whether the applicant pet is fixed

    Notice

    This field is not currently hydrated for RENTMANAGER

    is_service_animalboolean | nullnullablerequired

    Whether the applicant pet is a service animal

    Notice

    This field is not currently hydrated for RENTMANAGER

    is_trainedboolean | nullnullablerequired

    Whether the applicant pet is trained

    Notice

    This field is not currently hydrated for RENTMANAGER

    is_vaccinatedboolean | nullnullablerequired

    Whether the applicant pet is vaccinated

    Notice

    This field is not currently hydrated for RENTMANAGER

    namestring | nullnullablerequired

    The name associated with the applicant pet

    Notice

    This field is not currently hydrated for RENTMANAGER

    notesstring | nullnullablerequired

    Notes associated with the applicant pet

    Notice

    This field is not currently hydrated for RENTMANAGER

    typestring | nullnullablerequired

    The type associated with the applicant pet

    Notice

    This field is not currently hydrated for RENTMANAGER

    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the applicant pet

    Notice

    This field is not currently hydrated for RENTMANAGER

    custom_data object | nullrequired
    object
  • ]
  • integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum21required

    The property management system of record

    Show 13 enum values
    RENTMANAGERAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTVINERESMANYARDIYARDI_REST
    Example: RENTMANAGER
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_id_preferredstring[]required

    The Propexo unique identifiers for the units that the applicant is interested in

    Method
    GET /Contacts
    Example: ["testintegration:na:1:123"]
    screenings object[]required
    Notice

    This field is not currently hydrated for RENTMANAGER

  • Array [
  • idstringrequired

    The Propexo ID of the screening

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    status_rawstring | nullnullablerequired

    The status/results of the screening

    Notice

    This field is not currently hydrated for RENTMANAGER

    screening_datestring | nullnullablerequired

    The date the screening took place

    Notice

    This field is not currently hydrated for RENTMANAGER

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/applicants/:id
curl https://api.propexo.com/v1/applicants/:id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "42",
"x_property_id": "1",
"x_lead_id": null,
"x_unit_id_preferred": [
"123"
],
"address_1_alternate": null,
"address_1": "200 Pine Street",
"address_2_alternate": null,
"address_2": null,
"applications": [
{
"applicant_id": "clx0appl0000000000000005e",
"application_id": "clx0appn0000000000000006f",
"status_raw": "Prospect",
"status_normalized": "PENDING",
"custom_data": "Unknown Type: object,null"
}
],
"city_alternate": null,
"city": "Denver",
"country_alternate": null,
"country": null,
"custom_data": "Unknown Type: object,null",
"date_of_birth": "1992-03-14T00:00:00.000Z",
"email_1": "[email protected]",
"email_2": null,
"first_name": "Jordan",
"self_reported_income": [
{
"amount_in_cents": 325000,
"amount_raw": "string",
"type_normalized": null,
"type_raw": null
}
],
"last_name": "Lee",
"middle_name": "A",
"notes": "Prefers afternoon showings",
"phone_1_type": "MOBILE",
"phone_1": "(555) 555-0142",
"phone_2_type": "HOME",
"phone_2": "(555) 555-0143",
"state_alternate": null,
"state": "CO",
"type_normalized": null,
"type_raw": null,
"zip_alternate": null,
"zip": "80202",
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"age_in_years": 0,
"breed": "string",
"color": "string",
"gender_raw": "string",
"is_declawed": true,
"is_fixed": true,
"is_service_animal": true,
"is_trained": true,
"is_vaccinated": true,
"name": "string",
"notes": "string",
"type": "string",
"weight_in_pounds": 0,
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTMANAGER",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id_preferred": [
"testintegration:na:1:123"
],
"screenings": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"status_raw": "string",
"screening_date": "string"
}
]
}
}